Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 534044 - app-backup/mylvmbackup-0.16 version bump
Summary: app-backup/mylvmbackup-0.16 version bump
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2014-12-30 21:53 UTC by Brian Evans
Modified: 2018-04-19 07:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mylvmbackup 0.14 to 0.16 ebuild patch (mylvmbackup-0.16.diff,1.39 KB, patch)
2014-12-30 21:59 UTC, Brian Evans
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2014-12-30 21:53:40 UTC
mylvmbackup-0.16 was released on 2014-11-21.

This is a bugfix release and adds SNMP reporting.  A diff will be attached.

Changes since 0.14:
2014-09-14  Lenz Grimmer <lenz@grimmer.com>

 - Merged SNMP support from Alexandre Anriot

2014-09-14  Lenz Grimmer <lenz@grimmer.com>

 - BUG#1351000: fixed crash when specifying both --help and $mail_report_on
   was set to 'always' 

2014-02-22  Lenz Grimmer <lenz@grimmer.com>

 - BUG#1283094: The Option "--recoveryopts" did not actually work when
   provided on the command line.

2014-02-16  Lenz Grimmer <lenz@grimmer.com>

 - BUG#1095690: The mycnf option now accepts both a file name pointing to an
   individual my.cnf file as well as a directory name like /etc/mysql to back
   up an entire configuration directory. The configuration will be stored
   in a subdirectory <prefix>-cnf-<suffix>.
 - BUG#1269096: Tar output was always verbose, even if quiet option was set.

2014-02-15  Lenz Grimmer <lenz@grimmer.com>

 - BUG#1186570: Check for the existence of the backup LV and bail out
   earlier (not when trying to create the LV snapshot)

2013-08-25  Lenz Grimmer <lenz@grimmer.com>

 - The purge action now only works for tar and local rsync archives (zbackup
   repos would be corrupted, rsnap does its own retention)

2013-08-08  Korjavin Ivan <korjavin@gmail.com>

 - Added zbackup backup type
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2014-12-30 21:59:35 UTC
Created attachment 392716 [details, diff]
mylvmbackup 0.14 to 0.16 ebuild patch
Comment 2 Thomas Deutschmann gentoo-dev Security 2015-07-10 16:19:00 UTC
Not sure if this is new in 0.16 (tried Brian's patch) but at least 0.16 must depend on dev-perl/File-Copy-Recursive. Without I am getting:

Can't locate File/Copy/Recursive.pm in @INC (you may need to install the File::Copy::Recursive module) (@INC contains: /etc/perl /usr/local/lib64/perl5/5.20.2/x86_64-linux-thread-multi /usr/local/lib64/perl5/5.20.2 /usr/lib64/perl5/vendor_perl/5.20.2/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.20.2 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.20.2/x86_64-linux-thread-multi /usr/lib64/perl5/5.20.2 .) at /usr/bin/mylvmbackup line 26.
BEGIN failed--compilation aborted at /usr/bin/mylvmbackup line 26.
Comment 3 Sergiy Borodych 2018-04-19 07:36:02 UTC
Thomas, changes comes from

https://bazaar.launchpad.net/~lenzgr/mylvmbackup/trunk/revision/188

2014-02-16  Lenz Grimmer <lenz@grimmer.com>

 - BUG#1095690: The mycnf option now accepts both a file name pointing to an
   individual my.cnf file as well as a directory name like /etc/mysql to back
   up an entire configuration directory. The configuration will be stored
   in a subdirectory <prefix>-cnf-<suffix>.


So yep it's new for 0.16 (even for 0.15), need to update the ebuild.